Skip to content

Get a PickupDelivery by business id for a given TransportRequest

Request

This endpoint allows you to get the information about a given PickupDelivery.

Note: It is not possible to retrieve pickupDeliveries within TransportRequests directly through the Get a PickupDelivery by business Id endpoint.

Security
clientCredentials
Path
business_idstring^[a-zA-Z0-9.~\-_]{1,512}$required

The identifier of the TransportRequest within which this pickupDelivery exists.

order_idstringrequired

The identifier of a PickupDelivery instance

curl -i -X GET \
  'https://developer.conundra.eu/_mock/apis/order-book/order-book-api/transport-requests/{business_id}/orders/pickup-deliveries/{order_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Headers
ETagstring

weak Etag (ex W/<etag_value>) which contains the (updated) version of the entity

Bodyapplication/json
orderobject(OrderInformationInTransportRequest)required

General order properties. In case of a pickupDelivery Order, these properties are shared between both the pickup and delivery activities.

deliveryobject(TransportInformation)required

Properties specific to the activity that needs to be executed for fulfilling this order. In case of a PickupDelivery Order, these are two separate activities with their own settings.

pickupobject(TransportInformation)required

Properties specific to the activity that needs to be executed for fulfilling this order. In case of a PickupDelivery Order, these are two separate activities with their own settings.

Response
{ "order": { "business_id": "orderA", "order_category": "orderCategoryA", "description": "a description", "capacities": [], "mandatory": true, "requirements": {}, "lifo_groups": [], "outsourcing_cost": 0, "custom_data": {}, "plan_group": "a plan group", "max_time_in_vehicle": {}, "client": "companyId" }, "delivery": { "site_location": {}, "visit_location": {}, "stop_time": {}, "service_time": "PT5M", "sequence": 1, "time_frame": {}, "color": "red", "labels": [], "custom_data": {} }, "pickup": { "site_location": {}, "visit_location": {}, "stop_time": {}, "service_time": "PT5M", "sequence": 1, "time_frame": {}, "color": "red", "labels": [], "custom_data": {} } }